$(function() { 

 'use strict'; 

 document.getElementById('legendArea1').innerHTML = 'Custo de aquisição(R$)'; 
 document.getElementById('legendArea2').innerHTML = 'Peso(kg)'; 
 document.getElementById('legendArea3').innerHTML = 'Valor de venda(R$)'; 
 document.getElementById('legendAreaOne').innerHTML = 'Produtos'; 
 document.getElementById('legendAreaTwo').innerHTML = 'Fabricantes'; 
 document.getElementById('legendAreaThree').innerHTML = 'Clientes'; 
 document.getElementById('captionSmallBoxes').innerHTML = 'Resumo Mensal - Dezembro/2020'; 
 document.getElementById('captionTitleLine').innerHTML = 'Análise de faturamento - Venda x Peso x Custo por Mês/Ano'; 
 document.getElementById('captionPeriodLine').innerHTML = '(últimos 12 meses)'; 
 document.getElementById('captionTitleDonut').innerHTML = 'Percentual de representatividade por vendedor (%)'; 
 document.getElementById('captionPeriodDonut').innerHTML = '(últimos 3 meses)'; 
 document.getElementById('captionTitleBar').innerHTML = 'Faturamento por cidade (R$)'; 
 document.getElementById('captionPeriodBar').innerHTML = '(últimos 3 meses)'; 
 document.getElementById('captionProgressTrio').innerHTML = 'Resumo Diário - 8/Dezembro'; 
 document.getElementById('captionTitleGroupKnobs').innerHTML = 'Ranking - Percentual de representatividade (%)'; 
 document.getElementById('captionPeriodGroupKnobs').innerHTML = '(últimos 3 meses)'; 

 document.getElementById('numFirstBox').innerHTML = '852.992'; 
 document.getElementById('numSecondBox').innerHTML = '3.305.344'; 
 document.getElementById('numThirdBox').innerHTML = '798'; 
 document.getElementById('numFourthBox').innerHTML = '182'; 
 document.getElementById('textFirstBox').innerHTML = 'Faturamento Mensal'; 
 document.getElementById('textSecondBox').innerHTML = 'Faturamento - Projeção do Mês'; 
 document.getElementById('textThirdBox').innerHTML = 'Clientes Positivados'; 
 document.getElementById('textFourthBox').innerHTML = 'Produtos Positivados'; 

 document.getElementById('knobGroupThree').value = '2.99'; 
 document.getElementById('labelKnobGroupThree').innerHTML = "HARUMAR"; 
 document.getElementById('knobGroupSix').value = '1.54'; 
 document.getElementById('labelKnobGroupSix').innerHTML = "LATICINIOS ITA INDUSTRIA E COM"; 
 document.getElementById('knobGroupNine').value = '0.93'; 
 document.getElementById('labelKnobGroupNine').innerHTML = "PEIXARIA PIRES"; 
 document.getElementById('knobGroupTwelve').value = '0.83'; 
 document.getElementById('labelKnobGroupTwelve').innerHTML = "FABIMAR PESCADOS"; 
 document.getElementById('knobGroupFifteen').value = '0.71'; 
 document.getElementById('labelKnobGroupFifteen').innerHTML = "AMP FRAN";

 document.getElementById('knobGroupOne').value = '6.45'; 
 document.getElementById('labelKnobGroupOne').innerHTML = "PANGASIUS FILE 170UP PL CX10KG PEIXES MEGGS"; 
 document.getElementById('knobGroupFour').value = '5.96'; 
 document.getElementById('labelKnobGroupFour').innerHTML = "MERLUZA FILE INTERF PL 07 KG CX 14KG     DIVERSAS"; 
 document.getElementById('knobGroupSeven').value = '5.23'; 
 document.getElementById('labelKnobGroupSeven').innerHTML = "CAÇÃO POSTA GR/CX10KG  PEIXES MEGGS"; 
 document.getElementById('knobGroupTen').value = '4.37'; 
 document.getElementById('labelKnobGroupTen').innerHTML = "MERLUZA FILE S/P 800G CX 15 PCT PEIXES MEGGS"; 
 document.getElementById('knobGroupThirteen').value = '4.1'; 
 document.getElementById('labelKnobGroupThirteen').innerHTML = "TILAPIA FILE GR/CX15KG  DIVERSAS";

 document.getElementById('knobGroupTwo').value = '100'; 
 document.getElementById('labelKnobGroupTwo').innerHTML = "NDF"; 
 document.getElementById('knobGroupFive').value = '100'; 
 document.getElementById('labelKnobGroupFive').innerHTML = "NDF"; 
 document.getElementById('knobGroupEight').value = '100'; 
 document.getElementById('labelKnobGroupEight').innerHTML = "NDF"; 
 document.getElementById('knobGroupEleven').value = '100'; 
 document.getElementById('labelKnobGroupEleven').innerHTML = "NDF"; 
 document.getElementById('knobGroupFourteen').value = '100'; 
 document.getElementById('labelKnobGroupFourteen').innerHTML = "NDF";

 $('.knob').knob(); 

 $('.knob').css('font-size','12px').css('font-weight','bold').css('color','#ffffff'); 


  $('.progressBarTrioOne').css('width','99.3886%'); 

  $('.progressBarTrioTwo').css('width','0.0346%'); 

  $('.progressBarTrioThree').css('width','0.5768%'); 

  document.getElementById('textProgressBarOne').innerHTML = 'R$ 388.020'; 
  document.getElementById('textProgressBarTwo').innerHTML = 'R$ 135'; 
  document.getElementById('textProgressBarThree').innerHTML = 'R$ 2.252'; 
  document.getElementById('captionProgressBarOne').innerHTML = 'Pedidos Abertos'; 
  document.getElementById('captionProgressBarTwo').innerHTML = 'Pedidos Cancelados'; 
  document.getElementById('captionProgressBarThree').innerHTML = 'Pedidos Faturados'; 

  var bar = new Morris.Bar({ 
    element: 'bar-chart', 
    resize: true, 
    hideHover: 'auto', 
    data: [{ 
      y: "SAO SEBASTIAO", 
      item1: 889494.39 
   }, { 
      y: "UBATUBA", 
      item1: 877084.7 
   }, { 
      y: "RIBEIRAO PRETO", 
      item1: 813169.12 
   }, { 
      y: "CAMPINAS", 
      item1: 573237.75 
   }, { 
      y: "TIJUCAS", 
      item1: 449200 
   }], 
    xkey: 'y', 
    ykeys: ['item1'], 
    labels: ['Faturamento R$'], 
    barColors: ['#efefef'], 
    gridTextFamily: 'Calibri', 
    gridTextColor: '#ffffff', 
    gridTextSize: 11, 
    gridLineColor: '#ffffff', 
    barSizeRatio: 0.50, 
    xLabelMargin: 5 
  }); 

 var donut = new Morris.Donut({ 
    element: 'donut-chart', 
    resize: true, 
    colors: ["#1B9AAA", "#9E9E9E", "#BD445F", "#607D8B", "#F2A594","#D9D9D9",
             "#154E71","#CFCF53", "#FF5850", "#B6B6B6", "#0A9600", "#E6E4E5", "#66CCFF",
             "#969696", "#DA5711", "#A3C2C2", "#E62E00", "#CC6699", "#00B386", "#B3B3CC", "#FF6600"],
    data: [{ 
        label: "SILVANO MORENO RODRIGUES CLT", 
        value: 15.22 
    }, { 
        label: "GERALDO E DE FREITAS JR ME				", 
        value: 5.42 
    }, { 
        label: "CAMPANARO E CAMPANARO LTDA				", 
        value: 4.58 
    }, { 
        label: "RODRIGO GRILO DE OLIVEIRA REPRESENTACAO COMERCIAL				", 
        value: 4.5 
    }, { 
        label: "LUCIO REPRESENTACAO COMERCIAL LTDA ME				", 
        value: 3.73 
    }, { 
        label: "AR2J RCA			", 
        value: 3.56 
    }, { 
        label: "TALITA MARA MENDES DA SILVA CLT", 
        value: 3.28 
    }, { 
        label: "MARCIA RODRIGUES REPRESENTAÇÃO", 
        value: 3.19 
    }, { 
        label: "WT CONSULTORIA E SERVIÇOS DE MARKETING LTDA", 
        value: 3.15 
    }, { 
        label: "LUIZ ANTONIO CASTILHO FILHO				", 
        value: 3.09 
    }, { 
        label: "VAGNER AVANZI REPRESENTANTE COMERCIAL ME							", 
        value: 2.97 
    }, { 
        label: "CJS SANTOS REPRESENTAÇÕES", 
        value: 2.64 
    }, { 
        label: "TIAGO ALVES FEITEIRO CLT", 
        value: 2.48 
    }, { 
        label: "ALCIDES JOSE CHIODI NOVO", 
        value: 2.11 
    }, { 
        label: "NILVANDO ELIAS PEREIRA CLT			", 
        value: 2.1 
    }, { 
        label: "JOSE ARNALDO DE ARAUJO CLT", 
        value: 2.04 
    }, { 
        label: "HELOISA HELENA AGUIAR SOUZA CLT		", 
        value: 1.84 
    }, { 
        label: "JOSUE FRANCISCO CASTILHO SOBRINHO", 
        value: 1.84 
    }, { 
        label: "JOSE PAULO", 
        value: 1.78 
    }, { 
        label: "CLAUDIA FIGUEIREDO REPRESENTAÇÕES ME				", 
        value: 1.73 
    }, { 
        label: "Outros", 
        value: 28.75 
    }], 
    hideHover: 'auto' 
 }); 

 var area = new Morris.Area({ 
  element: 'area-chart', 
  resize: true, 
  data: [{ 
     y: '01/20', 
     item1: 4858378.3, 
     item2: 269778.06, 
     item3: 3459967.52 
   }, { 
     y: '02/20', 
     item1: 5780815.48, 
     item2: 326669.95, 
     item3: 4190594.86 
   }, { 
     y: '03/20', 
     item1: 4772913.61, 
     item2: 260036.27, 
     item3: 3462954.67 
   }, { 
     y: '04/20', 
     item1: 2233159.78, 
     item2: 115803.27, 
     item3: 1589817.34 
   }, { 
     y: '05/20', 
     item1: 1803165.94, 
     item2: 86384.08, 
     item3: 1319072.39 
   }, { 
     y: '06/20', 
     item1: 2306719.49, 
     item2: 114481.2, 
     item3: 1664769.02 
   }, { 
     y: '07/20', 
     item1: 2877307.04, 
     item2: 149290.79, 
     item3: 2084846.04 
   }, { 
     y: '08/20', 
     item1: 3357846.34, 
     item2: 177752.36, 
     item3: 2457730.04 
   }, { 
     y: '09/20', 
     item1: 4624207.48, 
     item2: 244918.61, 
     item3: 3320106.06 
   }, { 
     y: '10/20', 
     item1: 4751589.61, 
     item2: 254290.88, 
     item3: 3283091.55 
   }, { 
     y: '11/20', 
     item1: 4793538.36, 
     item2: 271827.88, 
     item3: 3210294.08 
   }, { 
     y: '12/20', 
     item1: 852992.94, 
     item2: 41734.06, 
     item3: 590971.95 
   }],   xkey: 'y', 
  ykeys: ['item1', 'item2', 'item3'], 
  labels: ['Venda R$', 'Peso(kg)', 'Custo'], 
  lineColors: ['#57c198', '#369cd6', '#de4c5b'], 
  hideHover: 'auto', 
  hoverColor: '#ffffff', 
  parseTime: false, 
  xLabelMargin: 10, 
  fillOpacity: 0.3, 
  behaveLikeLine: true 
 }); 

});
